summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-02-06 15:23:38 +0100
committerMartin Väth <martin@mvath.de>2016-02-06 15:23:38 +0100
commit7c30086d16e0b0b3cdcb668d1b32efa4cc9f25cd (patch)
treeb274e18e568718ed719f5601d115ae9e38f312dd
parentnet-dns/noip-updater: Fix a typo which had broken ezipupd (diff)
downloadmv-7c30086d16e0b0b3cdcb668d1b32efa4cc9f25cd.tar.gz
mv-7c30086d16e0b0b3cdcb668d1b32efa4cc9f25cd.tar.bz2
mv-7c30086d16e0b0b3cdcb668d1b32efa4cc9f25cd.zip
app-shells/zsh-completions: Version bump
-rw-r--r--app-shells/zsh-completions/Manifest2
-rw-r--r--app-shells/zsh-completions/metadata.xml4
-rw-r--r--app-shells/zsh-completions/zsh-completions-0.14.0.ebuild (renamed from app-shells/zsh-completions/zsh-completions-0.12.0-r2.ebuild)29
-rw-r--r--app-shells/zsh-completions/zsh-completions-99999999.ebuild29
-rw-r--r--profiles/use.local.desc4
5 files changed, 39 insertions, 29 deletions
diff --git a/app-shells/zsh-completions/Manifest b/app-shells/zsh-completions/Manifest
index 61cc9121..774ffaaf 100644
--- a/app-shells/zsh-completions/Manifest
+++ b/app-shells/zsh-completions/Manifest
@@ -1 +1 @@
-DIST zsh-completions-0.12.0.tar.gz 193410 SHA256 770d92749b11b22192595b207208508f8bfa319d5d03210a71bc44c8b9cfa0d5
+DIST zsh-completions-0.14.0.tar.gz 193410 SHA256 770d92749b11b22192595b207208508f8bfa319d5d03210a71bc44c8b9cfa0d5
diff --git a/app-shells/zsh-completions/metadata.xml b/app-shells/zsh-completions/metadata.xml
index c34961d5..476a83d4 100644
--- a/app-shells/zsh-completions/metadata.xml
+++ b/app-shells/zsh-completions/metadata.xml
@@ -16,12 +16,14 @@
<flag name="completion_Android">Install zsh completions for Android-related programs</flag>
<flag name="completion_Google">Install zsh completions for googlecl</flag>
<flag name="completion_Unix">Install zsh completion for unix system tools</flag>
+ <flag name="completion_backup">Install zsh completions for backup programs</flag>
<flag name="completion_database">Install zsh completions for database programs</flag>
<flag name="completion_dev">Install zsh completions for development (build systems, editors, web)</flag>
<flag name="completion_disk">Install zsh completions for disk tools</flag>
<flag name="completion_distribute">Install zsh completions for tools for distributing tasks to machines</flag>
- <flag name="completion_filesystem">Install zsh completions for filesystem tools</flag>
<flag name="completion_git">Install zsh completions for special git tools</flag>
+ <flag name="completion_go">Install zsh completions for go-related tools</flag>
+ <flag name="completion_gtk">Install zsh completions for gtk-related tools</flag>
<flag name="completion_hardware">Install zsh completions for low-level hardware tools</flag>
<flag name="completion_haskell">Install zsh completions for Haskell tools</flag>
<flag name="completion_managers">Install zsh completions for package managers (not portage)</flag>
diff --git a/app-shells/zsh-completions/zsh-completions-0.12.0-r2.ebuild b/app-shells/zsh-completions/zsh-completions-0.14.0.ebuild
index dd4f5453..9ac61f18 100644
--- a/app-shells/zsh-completions/zsh-completions-0.12.0-r2.ebuild
+++ b/app-shells/zsh-completions/zsh-completions-0.14.0.ebuild
@@ -70,37 +70,40 @@ calculate_data() {
done
done
}
+# Prepend # or / to mark only live/-nonlive categories or files
calculate_data \
'+Android _adb _android _emulator' \
'+Google _google' \
- '+Unix _cmake _dzen2 _logger _nl _ps _shutdown _watch _xinput' \
+ '+Unix _cmake _dzen2 _logger /_nl /_ps #_rebar #_setcap _shutdown /_watch _xinput /_zfs' \
+ '#+backup _tarsnap' \
'+database _redis-cli _pgsql_utils' \
- '+dev _artisan _choc _console _gradle _geany _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
+ '+dev _artisan _choc _console _geany /_gradle _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
'+disk _sdd _smartmontools _srm' \
- '+distribute _celery /_envoy _fab _glances _kitchen _knife _mina _mussh' \
- '+filesystem _zfs' \
+ '+distribute _celery /_envoy _fab #_fleetctl _glances _kitchen _knife _mina _mussh' \
'+git _git-flow _git-pulls' \
+ '#+go _go' \
+ '#+gtk _gtk-launch' \
'+hardware _optirun _perf _primus' \
- '+haskell _cabal _ghc #_stack' \
- '+managers #_ansible #_ansible-galaxy #_ansible-playbook _bower _brew #_cask _debuild _lein _pactree _pkcon _port _yaourt' \
+ '+haskell /_cabal _ghc #_stack' \
+ '+managers #_ansible #_ansible-galaxy #_ansible-playbook #_ansible-vault _bower /_brew #_cask _debuild _lein _pactree _pkcon _port #_supervisorctl _yaourt' \
'+multimedia _id3 _id3v2 _showoff' \
- '+net _dget _dhcpcd _httpie _iw _mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
+ '+net _dget _dhcpcd _httpie _iw /_mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
'+nfs _exportfs' \
'+perl _cpanm' \
- '+python _bpython _pygmentize _setup.py' \
+ '+python /_bpython _pygmentize _setup.py' \
'+ruby _bundle _cap _ditz _gas _gem _gist _github _git-wtf _jekyll _lunchy _rails _rspec _rubocop _rvm' \
'+search _ack _ag _jq' \
'+session _atach _teamocil _tmuxinator _wemux' \
'+subtitles _language_codes _periscope _subliminal' \
- '+virtualization _boot2docker #_docker-compose #_docker-machine _virtualbox _virsh' \
- '+web _coffee _composer _docpad _drush _heroku #_hledger _jonas _jmeter _jmeter-plugins _lunar _middleman _node _nvm _ralio /_salt _sbt _scala _svm'
+ '+virtualization _boot2docker #_docker-machine _virtualbox _virsh' \
+ '+web _coffee _composer _docpad _drush _heroku #_hledger #_homestead _jonas _jmeter _jmeter-plugins _lunar _middleman #_mix _node _nvm _ralio /_salt _sbt _scala _svm'
src_prepare() {
# Remove colliding completions
- if ${LIVE}
- then mv src/_docker . || eerror "mv failed"
- else mv src/_docker src/_pip . || die
+ if ! ${LIVE}
+ then mv src/_docker src/_pip . || die
fi
+ chmod a-x src/*
eapply_user
}
diff --git a/app-shells/zsh-completions/zsh-completions-99999999.ebuild b/app-shells/zsh-completions/zsh-completions-99999999.ebuild
index dd4f5453..9ac61f18 100644
--- a/app-shells/zsh-completions/zsh-completions-99999999.ebuild
+++ b/app-shells/zsh-completions/zsh-completions-99999999.ebuild
@@ -70,37 +70,40 @@ calculate_data() {
done
done
}
+# Prepend # or / to mark only live/-nonlive categories or files
calculate_data \
'+Android _adb _android _emulator' \
'+Google _google' \
- '+Unix _cmake _dzen2 _logger _nl _ps _shutdown _watch _xinput' \
+ '+Unix _cmake _dzen2 _logger /_nl /_ps #_rebar #_setcap _shutdown /_watch _xinput /_zfs' \
+ '#+backup _tarsnap' \
'+database _redis-cli _pgsql_utils' \
- '+dev _artisan _choc _console _gradle _geany _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
+ '+dev _artisan _choc _console _geany /_gradle _phing _manage.py _mvn _pear _play _symfony _thor _vagrant _veewee' \
'+disk _sdd _smartmontools _srm' \
- '+distribute _celery /_envoy _fab _glances _kitchen _knife _mina _mussh' \
- '+filesystem _zfs' \
+ '+distribute _celery /_envoy _fab #_fleetctl _glances _kitchen _knife _mina _mussh' \
'+git _git-flow _git-pulls' \
+ '#+go _go' \
+ '#+gtk _gtk-launch' \
'+hardware _optirun _perf _primus' \
- '+haskell _cabal _ghc #_stack' \
- '+managers #_ansible #_ansible-galaxy #_ansible-playbook _bower _brew #_cask _debuild _lein _pactree _pkcon _port _yaourt' \
+ '+haskell /_cabal _ghc #_stack' \
+ '+managers #_ansible #_ansible-galaxy #_ansible-playbook #_ansible-vault _bower /_brew #_cask _debuild _lein _pactree _pkcon _port #_supervisorctl _yaourt' \
'+multimedia _id3 _id3v2 _showoff' \
- '+net _dget _dhcpcd _httpie _iw _mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
+ '+net _dget _dhcpcd _httpie _iw /_mosh _rfkill _socat _ssh-copy-id _vpnc _vnstat' \
'+nfs _exportfs' \
'+perl _cpanm' \
- '+python _bpython _pygmentize _setup.py' \
+ '+python /_bpython _pygmentize _setup.py' \
'+ruby _bundle _cap _ditz _gas _gem _gist _github _git-wtf _jekyll _lunchy _rails _rspec _rubocop _rvm' \
'+search _ack _ag _jq' \
'+session _atach _teamocil _tmuxinator _wemux' \
'+subtitles _language_codes _periscope _subliminal' \
- '+virtualization _boot2docker #_docker-compose #_docker-machine _virtualbox _virsh' \
- '+web _coffee _composer _docpad _drush _heroku #_hledger _jonas _jmeter _jmeter-plugins _lunar _middleman _node _nvm _ralio /_salt _sbt _scala _svm'
+ '+virtualization _boot2docker #_docker-machine _virtualbox _virsh' \
+ '+web _coffee _composer _docpad _drush _heroku #_hledger #_homestead _jonas _jmeter _jmeter-plugins _lunar _middleman #_mix _node _nvm _ralio /_salt _sbt _scala _svm'
src_prepare() {
# Remove colliding completions
- if ${LIVE}
- then mv src/_docker . || eerror "mv failed"
- else mv src/_docker src/_pip . || die
+ if ! ${LIVE}
+ then mv src/_docker src/_pip . || die
fi
+ chmod a-x src/*
eapply_user
}
diff --git a/profiles/use.local.desc b/profiles/use.local.desc
index 913136e4..b8535f5b 100644
--- a/profiles/use.local.desc
+++ b/profiles/use.local.desc
@@ -32,12 +32,14 @@ app-shells/zsh:completion_openSUSE - Install zsh completions for openSUSE
app-shells/zsh-completions:completion_Android - Install zsh completions for Android-related programs
app-shells/zsh-completions:completion_Google - Install zsh completions for googlecl
app-shells/zsh-completions:completion_Unix - Install zsh completion for unix system tools
+app-shells/zsh-completions:completion_backup - Install zsh completions for backup programs
app-shells/zsh-completions:completion_database - Install zsh completions for database programs
app-shells/zsh-completions:completion_dev - Install zsh completions for development (build systems, editors, web)
app-shells/zsh-completions:completion_disk - Install zsh completions for disk tools
app-shells/zsh-completions:completion_distribute - Install zsh completions for tools for distributing tasks to machines
-app-shells/zsh-completions:completion_filesystem - Install zsh completions for filesystem tools
app-shells/zsh-completions:completion_git - Install zsh completions for special git tools
+app-shells/zsh-completions:completion_go - Install zsh completions for go-related tools
+app-shells/zsh-completions:completion_gtk - Install zsh completions for gtk-related tools
app-shells/zsh-completions:completion_hardware - Install zsh completions for low-level hardware tools
app-shells/zsh-completions:completion_haskell - Install zsh completions for Haskell tools
app-shells/zsh-completions:completion_managers - Install zsh completions for package managers (not portage)